module Jigsaw
  class Client

    attr_reader :api_key

    def initialize(api_key)
      @api_key = api_key
    end

    def company_search(options = {}, fetch_all = false)
      CompanySearch.list(@api_key, options, fetch_all)
    end
    
    def contact_search(options = {}, fetch_all = false)
      ContactSearch.list(@api_key, options, fetch_all)
    end
    
    def company(id, options = {})
      Company.find(@api_key, id, options)
    end

  end
end